#ifndef EXPLOSION_HPP_
#define EXPLOSION_HPP_

#include <ChunkHandle/ChunkHandle.hpp>
#include <World/LocalWorld/LocalWorld.hpp>
#include <vector>

class Explosion
{
private:
    LocalWorld &world;
    glm::ivec3 sourceBlock;
    double power;
    int radius;
    std::vector<ChunkHandle> chunks;

public:
    Explosion(LocalWorld &world, glm::ivec3 sourceBlock, double power, int radius);

    bool isReady();
    void explode();
};

#endif